# -*- coding: utf-8 -*-
require 'rho/rhocontroller'
require 'helpers/browser_helper'

class RedmineController < Rho::RhoController
  include BrowserHelper
  
  def index
    @redmine = Redmine.find(:first)
    if @redmine && !@redmine.uri.empty? && !@redmine.api_key.empty?
      redirect controller: :Projects, action: :index
    else
      redirect action: :login
    end
  end

  def login
    @redmine = Redmine.new
    render :login
  end

  def do_login
    @redmine = Redmine.new(@params['redmine'])
    if @redmine && !@redmine.uri.empty? && !@redmine.api_key.empty?
      Redmine.delete_all
      @redmine.save
      redirect controller: :Projects, action: :index
    else
      Alert.show_popup(
                       title: "ログインエラー",
                       message: 'URLとAPI Keyを正しく入力して下さい',
                       buttons: ["OK"]
                       )
      redirect action: :login
    end
  end
end
